FROM alpine:3.10

# install dependencies
RUN apk add restic
RUN apk add curl

# install rclone
RUN curl -O https://downloads.rclone.org/rclone-current-linux-amd64.zip &&\
    unzip rclone-current-linux-amd64.zip &&\
    cd rclone-*-linux-amd64 &&\
    cp rclone /usr/bin/ &&\
    chown root:root /usr/bin/rclone &&\
    chmod 755 /usr/bin/rclone

COPY restic_backup.sh /usr/bin/
RUN chmod +x /usr/bin/restic_backup.sh

ENTRYPOINT ["restic_backup.sh"]
